WD MyCloud updating

If none of the more specific forums is the right place to ask

WD MyCloud updating

Postby MikeYates » 2019-10-06 09:47

I have never been able to complete an update with Jessie on my NAS (firmware v04.05.00-342 latest, 265MB RAM)
I can do individual package installs.
My current dilemma is shown below - any ideas?

nass:~# apt-get update
Get:1 http://ftp.us.debian.org jessie Release.gpg [1652 B]
Hit http://ftp.us.debian.org jessie Release
Ign http://ftp.us.debian.org jessie Release
Ign http://ftp.us.debian.org jessie/main armhf Packages/DiffIndex
Hit http://ftp.us.debian.org jessie/main Translation-en
Err http://ftp.us.debian.org jessie/main armhf Packages

Hit http://ftp.us.debian.org jessie/main armhf Packages
Fetched 1652 B in 0s (2021 B/s)
Reading package lists... Done
W: GPG error: http://ftp.us.debian.org jessie Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 7638D0442B90D010


nass:~# apt-get upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these.
The following packages have unmet dependencies:
libc-bin : Depends: libc6 (< 2.18) but 2.19-18+deb8u10 is installed
libstdc++6 : Depends: gcc-4.7-base (= 4.7.2-5) but it is not installable
libtirpc1 : Breaks: nfs-common (< 1:1.2.8-7) but 1:1.2.6-4 is installed
Breaks: nfs-kernel-server (< 1:1.2.8-7) but 1:1.2.6-4 is installed
E: Unmet dependencies. Try using -f.


nass:~# apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
libclass-isa-perl libgssglue1 libplrpc-perl libswitch-perl
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
libc-bin libstdc++6 nfs-common nfs-kernel-server
Suggested packages:
open-iscsi watchdog
The following packages will be upgraded:
libc-bin libstdc++6 nfs-common nfs-kernel-server
4 upgraded, 0 newly installed, 0 to remove and 244 not upgraded.
8 not fully installed or removed.
Need to get 1691 kB of archives.
After this operation, 632 kB disk space will be freed.
Do you want to continue [Y/n]? y
WARNING: The following packages cannot be authenticated!
nfs-kernel-server nfs-common libc-bin libstdc++6
Install these packages without verification [y/N]? y
Get:1 http://ftp.us.debian.org/debian/ jessie/main nfs-kernel-server armhf 1:1.2.8-9 [103 kB]
Get:2 http://ftp.us.debian.org/debian/ jessie/main nfs-common armhf 1:1.2.8-9 [189 kB]
Get:3 http://ftp.us.debian.org/debian/ jessie/main libc-bin armhf 2.19-18+deb8u10 [1159 kB]
Get:4 http://ftp.us.debian.org/debian/ jessie/main libstdc++6 armhf 4.9.2-10+deb8u1 [241 kB]
Fetched 1691 kB in 2s (709 kB/s)
(Reading database ... 25531 files and directories currently installed.)
Preparing to unpack .../nfs-kernel-server_1%3a1.2.8-9_armhf.deb ...
Unpacking nfs-kernel-server (1:1.2.8-9) over (1:1.2.6-4) ...
dpkg: error processing archive /var/cache/apt/archives/nfs-kernel-server_1%3a1.2.8-9_armhf.deb (--unpack):
trying to overwrite '/etc/init.d/nfs-kernel-server', which is also in package nfs 01.00.00-aef4b02
[ ok ] Stopping NFS kernel daemon: mountd nfsd.
[ ok ] Unexporting directories for NFS kernel daemon....
[ ok ] Exporting directories for NFS kernel daemon....
[ ok ] Starting NFS kernel daemon: nfsd mountd.
dpkg: considering deconfiguration of nfs-kernel-server, which would be broken by installation of nfs-common ...
dpkg: yes, will deconfigure nfs-kernel-server (broken by nfs-common)
Preparing to unpack .../nfs-common_1%3a1.2.8-9_armhf.deb ...
De-configuring nfs-kernel-server (1:1.2.6-4) ...
Unpacking nfs-common (1:1.2.8-9) over (1:1.2.6-4) ...
dpkg: error processing archive /var/cache/apt/archives/nfs-common_1%3a1.2.8-9_armhf.deb (--unpack):
trying to overwrite '/etc/default/nfs-common', which is also in package nfs 01.00.00-aef4b02
[ ok ] Stopping NFS kernel daemon: mountd nfsd.
[ ok ] Unexporting directories for NFS kernel daemon....
[ ok ] Exporting directories for NFS kernel daemon....
[ ok ] Starting NFS kernel daemon: nfsd mountd.
[ ok ] Stopping NFS common utilities:.
[ ok ] Starting NFS common utilities:.
Preparing to unpack .../libc-bin_2.19-18+deb8u10_armhf.deb ...
Unpacking libc-bin (2.19-18+deb8u10) over (2.17-93) ...
dpkg: error processing archive /var/cache/apt/archives/libc-bin_2.19-18+deb8u10_armhf.deb (--unpack):
trying to overwrite '/etc/ld.so.conf.d/libc.conf', which is also in package wd-lib 01.05.02-7ee92da
Errors were encountered while processing:
/var/cache/apt/archives/nfs-kernel-server_1%3a1.2.8-9_armhf.deb
/var/cache/apt/archives/nfs-common_1%3a1.2.8-9_armhf.deb
/var/cache/apt/archives/libc-bin_2.19-18+deb8u10_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


nass:~#apt-get -f update
[snip]
Get:178 http://ftp.us.debian.org/debian/ jessie/main apache2-mpm-prefork armhf 2.4.10-10+deb8u12 [1504 B]
Get:179 http://ftp.us.debian.org/debian/ jessie/main libapache2-mod-xsendfile armhf 0.12-2 [12.7 kB]
Get:180 http://ftp.us.debian.org/debian/ jessie/main php-apc all 4.0.7-1 [4642 B]
Fetched 42.1 MB in 57s (738 kB/s)
Extracting templates from packages: 100%
Preconfiguring packages ...
(Reading database ... 25531 files and directories currently installed.)
Preparing to unpack .../dpkg_1.17.27_armhf.deb ...
Unpacking dpkg (1.17.27) over (1.17.26) ...
dpkg: error processing archive /var/cache/apt/archives/dpkg_1.17.27_armhf.deb (--unpack):
trying to overwrite '/etc/logrotate.d/dpkg', which is also in package wd-nas 02.50.00-1620186
Processing triggers for man-db (2.7.0.2-5) ...
Errors were encountered while processing:
/var/cache/apt/archives/dpkg_1.17.27_armhf.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
nass:~#
MikeYates
 
Posts: 7
Joined: 2019-10-06 09:27

Re: WD MyCloud updating

Postby Head_on_a_Stick » 2019-10-07 07:33

MikeYates wrote:
Code: Select all
W: GPG error: http://ftp.us.debian.org jessie Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 7638D0442B90D010

viewtopic.php?f=10&t=141778
Don't break DebianHow to report bugs

SharpBang GNU/Linux — a pre-configured Openbox/Tint2 desktop running on Debian stable
User avatar
Head_on_a_Stick
 
Posts: 10613
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: WD MyCloud updating

Postby MikeYates » 2019-10-07 10:32

OK, I've fetched debian-archive-keyring and installed it.
apt-get update now works OK but all other apt-get operations fail, complaining:-
libc-bin : Depends: libc6 (< 2.18) but 2.19-18+deb8u10 is installed
libstdc++6 : Depends: gcc-4.7-base (= 4.7.2-5) but it is not installable
libtirpc1 : Breaks: nfs-common (< 1:1.2.8-7) but 1:1.2.6-4 is installed
Breaks: nfs-kernel-server (< 1:1.2.8-7) but 1:1.2.6-4 is installed

nass:~# apt-get remove libc-bin
Reading package lists... Done
Building dependency tree
Reading state information... Done
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies:
libstdc++6 : Depends: gcc-4.7-base (= 4.7.2-5) but it is not installable
libtirpc1 : Breaks: nfs-common (< 1:1.2.8-7) but 1:1.2.6-4 is to be installed
Breaks: nfs-kernel-server (< 1:1.2.8-7) but 1:1.2.6-4 is to be installed
sq : Depends: libc-bin (>= 2.17) but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).

nass:~# apt-cache policy sq
sq:
Installed: 04.05.00-342
Candidate: 04.05.00-342
Version table:
*** 04.05.00-342 0
100 /var/lib/dpkg/status
nass:~#

Neither libc-bin nor sq seem to have packages in http://ftp.us.debian.org/debian/pool/main/

So, what next? I suspect that Western Digital special packages wd-lib and wd-nas may be involved?

dpkg: error processing archive /var/cache/apt/archives/libc-bin_2.19-18+deb8u10_armhf.deb (--unpack):
trying to overwrite '/etc/ld.so.conf.d/libc.conf', which is also in package wd-lib 01.05.02-7ee92da

dpkg: error processing archive /var/cache/apt/archives/dpkg_1.17.27_armhf.deb (--unpack):
trying to overwrite '/etc/logrotate.d/dpkg', which is also in package wd-nas 02.50.00-1620186
MikeYates
 
Posts: 7
Joined: 2019-10-06 09:27

Re: WD MyCloud updating

Postby Head_on_a_Stick » 2019-10-12 10:51

MikeYates wrote:I suspect that Western Digital special packages wd-lib and wd-nas may be involved?

Yeah, me too. Where did you get those from?
Don't break DebianHow to report bugs

SharpBang GNU/Linux — a pre-configured Openbox/Tint2 desktop running on Debian stable
User avatar
Head_on_a_Stick
 
Posts: 10613
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: WD MyCloud updating

Postby MikeYates » 2019-10-12 16:13

I wish I could get the installation packages for wd-nas and wd-lib.
libc-bin seems a stumbling-block. It seems deprecated but I found an up-to-date copy.
It won't install because wd-nas also has /etc/ld.so.conf

I have asked the "Hardware" forum "WD MyCloud updating - where is the dpkg "archive" "?
MikeYates
 
Posts: 7
Joined: 2019-10-06 09:27

Re: WD MyCloud updating

Postby MikeYates » 2019-10-19 08:59

I have found libc-4.7 archives at old.kali.org but still no wd-nas and wd-lib.

This is what I got when I tried some "downgrading":-

# dpkg -i libgcc1_4.7.2-5_armhf.deb
Selecting previously unselected package libgcc1:armhf.
(Reading database ... 25729 files and directories currently installed.)
Preparing to unpack libgcc1_4.7.2-5_armhf.deb ...
Unpacking libgcc1:armhf (1:4.7.2-5) over (1:4.9.2-10+deb8u2) ...
/bin/sh: error while loading shared libraries: libgcc_s.so.1: ELF load command alignment not page-aligned
dpkg: warning: subprocess old post-removal script returned error exit status 127
dpkg: trying script from the new package instead ...
/bin/sh: error while loading shared libraries: libgcc_s.so.1: ELF load command alignment not page-aligned
dpkg: error processing archive libgcc1_4.7.2-5_armhf.deb (--install):
subprocess new post-removal script returned error exit status 127
Errors were encountered while processing:
libgcc1_4.7.2-5_armhf.deb

# dpkg -i libgcc1_4.7.2-5_armhf.deb --force all
dpkg: warning: downgrading libgcc1:armhf from 1:4.9.2-10+deb8u2 to 1:4.7.2-5
(Reading database ... 25729 files and directories currently installed.)
Preparing to unpack libgcc1_4.7.2-5_armhf.deb ...
Unpacking libgcc1:armhf (1:4.7.2-5) over (1:4.9.2-10+deb8u2) ...
/bin/sh: error while loading shared libraries: libgcc_s.so.1: ELF load command alignment not page-aligned
dpkg: warning: subprocess old post-removal script returned error exit status 127
dpkg: trying script from the new package instead ...
/bin/sh: error while loading shared libraries: libgcc_s.so.1: ELF load command alignment not page-aligned
dpkg: error processing archive libgcc1_4.7.2-5_armhf.deb (--install):
subprocess new post-removal script returned error exit status 127
dpkg: error processing archive --force (--install):
cannot access archive: No such file or directory
dpkg: error processing archive all (--install):
cannot access archive: No such file or directory
Errors were encountered while processing:
libgcc1_4.7.2-5_armhf.deb
--force
all
#
MikeYates
 
Posts: 7
Joined: 2019-10-06 09:27


Return to General Questions

Who is online

Users browsing this forum: No registered users and 5 guests

fashionable